paexec_reorder(1)

NAME
paexec_reorder - reorder sliced output of "paexec -l"

SYNOPSIS
paexec_reorder [OPTIONS] [files...]

DESCRIPTION
paexec with -l option produces a sliced output where results of different tasks are intermixed. The intent of paexec_reorder is to produce ordered output where results for all tasks follow each other without intermixing. It is strongly recommended to send output of "paexec -le" or "paexec -gle" to the input of paexec_reorder. Otherwise more memory or disk space for temporary files will be required.

OPTIONS

-h  Display help information.

-M method
    If method is m, result is reordered in memory, this is the default. If it is f, temporary files are used for reordering. If s, sort(1) command is used.

-l  Prepand output lines with the task number.

-g  By default output of "paexec -le" is expected on input. With -g option, output of "paexec -gle" is expected. In this case paexec_reorder will react on "fatal" paexec's keyword.

-x  If applied, output of "paexec -le [-g] -x" is expected on input. This option has higher priority than PAEXEC_EOT environment variable. Actually -x and -y are synonyms.

-y  If applied, output of "paexec -le [-g] -y" is expected on input. This option has higher priority than PAEXEC_EOT environment variable.

-S  Remove leading space character.

-m s=success
-m f=failure
-m F=fatal
-m t=eot
    Set alternative string for 'success', 'failure', 'fatal' and '' (end of task).

EXAMPLES
 paexec -t '/usr/bin/ssh -x' -n 'host1 host2 host3' \
        -l -c ~/bin/complex_task | paexec_reorder

 paexec -gEI -lr -n 'host1 host2 host3' \
   -c command -t /usr/bin/rsh < tasks.txt | paexec_reorder -lgS -Mf

 For other examples, see examples/ directory

ENVIRONMENT

TMPDIR
    tempnam(3) is used for creating temporary directory. See the appropriate man page.

PAEXEC_EOT
    The same as in paexec.

BUGS/FEEDBACK
Please send any comments, questions, bug reports etc. to me by e-mail or (even better) register them at sourceforge project home. Feature requests are also welcomed.

HOME
<http://sourceforge.net/projects/paexec>

SEE ALSO paexec(1) tempnam(3)